package es.uca.xmleye.xslt;

public class ConstantesHojas {
	// Ruta relativa de carpeta con hojas XSLT a partir del directorio de xmleye
	public static final String DIR_HOJAS = "xslt";

	/** Clave para tipo de hoja 'visualización'. */
	public final static String VISTA = "view";
	/** Clave para tipo de hoja 'preprocesamiento' */
	public final static String PREPROCESADO = "preproc";

	/** URI de hoja de visualización actual */
	public final static String URI_VISTA_ACTUAL = "current_view";
	/** URI de hoja de preprocesado actual */
	public final static String URI_PREPROCESADO_ACTUAL = "current_preproc";
	/** Prefijo para URI de hoja de visualización */
	public final static String VIEW_URI_PREFIX = "view_";
	/** Prefijo para URI de hoja de preprocesado */
	public final static String PREPROC_URI_PREFIX = "preproc_";

	/** Nombre de fichero de la hoja principal de preprocesado */
	public final static String VIEW_MAIN_FILENAME = "view.xsl";

	/** Nombre de fichero de la hoja principal de vista */
	public final static String PREPROC_MAIN_FILENAME = "preproc.xsl";
}
